Skip to main content
POST
/
buyers
/
{buyer_id}
/
shipping-details
New buyer shipping detail
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/buyers/{buyer_id}/shipping-details");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n  \"first_name\": \"John\",\n  \"last_name\": \"Lunn\",\n  \"email_address\": \"john@example.com\",\n  \"phone_number\": \"+1234567890\",\n  \"address\": {\n    \"city\": \"London\",\n    \"country\": \"GB\",\n    \"postal_code\": \"789123\",\n    \"state\": \"Greater London\",\n    \"state_code\": \"GB-LND\",\n    \"house_number_or_name\": \"10\",\n    \"line1\": \"10 Oxford Street\",\n    \"line2\": \"New Oxford Court\",\n    \"organization\": \"Gr4vy\"\n  }\n}", false);
var response = await client.PostAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "type": "shipping-details",
  "id": "8724fd24-5489-4a5d-90fd-0604df7d3b83",
  "buyer_id": "8724fd24-5489-4a5d-90fd-0604df7d3b83",
  "first_name": "John",
  "last_name": "Lunn",
  "email_address": "john@example.com",
  "phone_number": "+1234567890",
  "address": {
    "city": "London",
    "country": "GB",
    "postal_code": "789123",
    "state": "Greater London",
    "state_code": "GB-LND",
    "house_number_or_name": "10",
    "line1": "10 Oxford Street",
    "line2": "New Oxford Court",
    "organization": "Gr4vy"
  }
}
This endpoint requires the buyers.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

buyer_id
string<uuid>
required

The unique ID for a buyer.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Body

application/json

Shipping detail associated to a buyer.

first_name
string | null

The first name(s) or given name for the buyer.

Required string length: 1 - 255
Example:

"John"

last_name
string | null

The last name, or family name, of the buyer.

Required string length: 1 - 255
Example:

"Lunn"

email_address
string | null

The email address for the buyer.

Required string length: 1 - 320
Example:

"john@example.com"

phone_number
string | null

The phone number for the buyer which should be formatted according to the E164 number standard.

Required string length: 1 - 50
Pattern: ^\+[1-9]\d{1,14}$
Example:

"+1234567890"

address
Address · object

The physical shipping address associated to this buyer.

Response

Returns the shipping detail that was added.

Shipping detail for a buyer.

type
enum<string>

The type of this resource. Is always shipping-details.

Available options:
shipping-details
Example:

"shipping-details"

id
string<uuid>

The unique ID for a buyer's shipping detail.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

buyer_id
string<uuid>

The unique ID for a buyer.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

first_name
string | null

The first name(s) or given name of the buyer.

Required string length: 1 - 255
Example:

"John"

last_name
string | null

The last name, or family name, of the buyer.

Required string length: 1 - 255
Example:

"Lunn"

email_address
string | null

The email address of the buyer.

Required string length: 1 - 320
Example:

"john@example.com"

phone_number
string | null

The phone number of the buyer. This number is formatted according to the E164 number standard.

Required string length: 1 - 50
Pattern: ^\+[1-9]\d{1,14}$
Example:

"+1234567890"

address
Address · object

The physical shipping address associated to this buyer.